<?php 
require_once "../modelos/Pagoproveedor.php";

$pagoproveedor		=	new Pagoproveedor();

$idpagoproveedor	=	isset($_POST["idpagoproveedor"])? limpiarCadena($_POST["idpagoproveedor"]):"";
$idformapago			=	isset($_POST["idformapago"])? limpiarCadena($_POST["idformapago"]):"";
$idpersona				=	isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$idpersonap				=	isset($_POST["idpersonap"])? limpiarCadena($_POST["idpersonap"]):"";
$idtipopagos			=	isset($_POST["idtipopagos"])? limpiarCadena($_POST["idtipopagos"]):"";
$idbancocuenta		=	isset($_POST["idbancocuenta"])? limpiarCadena($_POST["idbancocuenta"]):"";
$idbancocuentap		=	isset($_POST["idbancocuentap"])? limpiarCadena($_POST["idbancocuentap"]):"";
$referencia				=	isset($_POST["referencia"])? limpiarCadena($_POST["referencia"]):"";
$montopago				=	isset($_POST["montopago"])? limpiarCadena($_POST["montopago"]):"";
$montopagob				=	isset($_POST["montopagob"])? limpiarCadena($_POST["montopagob"]):"";
$total_pago				=	isset($_POST["total_pago"])? limpiarCadena($_POST["total_pago"]):"";
$total_pagob			=	isset($_POST["total_pagob"])? limpiarCadena($_POST["total_pagob"]):"";
$diferencia				=	isset($_POST["diferencia"])? limpiarCadena($_POST["diferencia"]):"";
$fecha_hora				=	isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horap				=	isset($_POST["fecha_horap"])? limpiarCadena($_POST["fecha_horap"]):"";
$agenteretencion	=	isset($_POST["agenteretencion"])? limpiarCadena($_POST["agenteretencion"]):"";
$idusuario				=	isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";
$tasacambiocompra	=	isset($_POST["tasacambioventa"])? limpiarCadena($_POST["tasacambioventa"]):"";

/*bade de datos
idpagocliente,  idcliente, idformapago, idusuario, idtipopagos, idbancocuenta, 
referencia, fecha_hora, total_pago, retencion, estado
/* 
iddocumento[] num_comprobante[] tipo_comprobante[] montod[] abono[] pendiente[] estado[] pago[] 
$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"], $_POST["abono"]
$_POST["pendiente"], $_POST["estado"], $_POST["pago"]
*/ 


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpagoproveedor)) {
			$rspta=$pagoproveedor->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambiocompra,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montodd"],$_POST["montod"], $_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
					$rspta=$pagoproveedor->editar($idpagocliente,$idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditaro':
		if (empty($idpagoproveedor)) {
			$rspta=$pagoproveedor->insertaro($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambiocompra,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montodd"],$_POST["montod"], $_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
					$rspta=$pagoproveedor->editar($idpagocliente,$idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditara':
		if (empty($idpagoproveedor)) {
			$rspta=$pagoproveedor->insertara($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambiocompra,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montodd"],$_POST["montod"], $_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
					$rspta=$pagoproveedor->editar($idpagocliente,$idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'guardaryeditarv':
		if (empty($idpagoproveedor)) {
			/* $rspta=$pagocliente->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
			$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos"; */
			echo "Insertar";
			//Pagocliente->editar('1', '', '2', '', '1', '1-Dollar', '455555', '', '', '', '4,43', '', Array, Array, Array, Array, Array, Array, Array) 
		}else{
			$rspta=$pagoproveedor->editarv($idpagoproveedor,$idpersonap,$idformapago,$idusuario,$idtipopagos,$idbancocuentap,$referencia,$fecha_horap,
			$montopago,$montopagob,$tasacambiocompra,		
			$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodb"] ,$_POST["abono"],
			$_POST["pendiente"],$_POST["idcobrocliente"],$_POST["iddetalle_cobro"]);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		//	echo "Editar";
		} 
	break;

	case 'eliminar':
		$rspta=$persona->eliminar($idpersona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$persona->mostrar($idpersona);
		echo json_encode($rspta);
	break;

  case 'listarp':
		$rspta=$persona->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listar':
		$rspta=$persona->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-eye"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->num_documento,
            "3"=>$reg->telefono
             );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpagodetalle':
		$rspta					=$pagoproveedor->listarpagodetalle($idpagoproveedor);
		$data						=Array();
		$cont=0;
		while ($reg=$rspta->fetch_object()) {
			/* $_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["mont
			od"],$_POST["montodd"] ,$_POST["abono"],
			$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]) 
			
			iddetalle_cobro
			idcobrocliente
			iddocumento
			num_comprobante
			*/
		
			$data[]=array(
			"0"=>'<input style="border:none;width:150px;background-color:#D4D2D2" type="text" name="num_comprobante[]" id="num_comprobante[]" value="'.$reg->num_comprobante.'" readonly>
			<input type="hidden" name="iddetalle_cobro[]" id="iddetalle_cobro[]" value="'.$reg->iddetalle_venta.'">
			<input type="hidden" name="idcobrocliente[]" id="idcobrocliente[]" value="'.$reg->idpagocliente.'">
			<input type="hidden" name="iddocumento[]" id="iddocumento[]" value="'.$reg->iddocumento.'">',
			"1"=>'<input style="border:none;width:100px;background-color:#D4D2D2" type="text" name="tipo_comprobante[]" id="tipo_comprobante[]" value="'.$reg->tipo_comprobante.'" readonly>',
			"2"=>'<input style="border:none;width:100px;background-color:#D4D2D2"type="text" name="montod[]" id="montod[]" value="'.number_format("$reg->montod",2,",",".").'" readonly>',
			"3"=>'<input style="border:none;width:150px;background-color:#D4D2D2"type="text" name="montodb[]" id="montodb[]" value="'.number_format("$reg->montodb",2,",",".").'" readonly>',
			"4"=>'<input style="border:none;width:100px"type="text" onclick="posicion('.$cont.')" name="abono[]" id="abono[]" value="'.number_format("$reg->abono1",2,",",".").'" >',
			"5"=>'<input style="border:none;width:150px"type="text"  onclick="posicion('.$cont.')" name="abonob[]" id="abonob[]" value="'.number_format("$reg->abonob1",2,",",".").'" >',
			"6"=>'<input style="border:none;width:100px"type="text" name="pendiente[]" id="pendiente[]" value="'.number_format("$reg->pendiente1",2,",",".").'" readonly>',
			"7"=>'<input style="border:none;width:150px"type="text" name="pendienteb[]" id="pendienteb[]" value="'.number_format("$reg->pendienteb1",2,",",".").'"readonly>',
			);
			$cont=$cont+1;
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'mostrarcv':
		$rspta=$pagoproveedor->mostrarcv($idpagoproveedor);
		echo json_encode($rspta);
	break;
	
	case 'mostrarpagos':
		$iddocumento			= $_POST["iddocumento"];
		$rspta					=$pagoproveedor->mostrarpagos($iddocumento);
	 	$data							=Array();

		while ($reg=$rspta->fetch_object()) {
			$retencion 	= $reg->referencia;
			$abono			= $reg->abono;
			$estado 		= '<span class="badge bg-blue">'.$retencion.'</span>';
			if ($reg->estado=='Retencion') {
				$retencion = 'Rentencíon Nro. - '.$retencion;
				$abono		 = $abono*-1;
				$estado 	 = '<span class="badge bg-red">'.$retencion.'</span>';
			}
			
			$data[]=array(
            "0"=>$reg->fecha,
            "1"=>$estado,
            "2"=>$reg->cuenta,
						"3"=>$reg->formapago,
						"4"=>number_format($abono,2,',','.'),
						"5"=>$reg->tasacambiocompra
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data);  
			
		echo json_encode($results);
	break;

	case 'eliminarp':
		$idpagoproveedor1=$_POST['idpagoproveedora'];
		$rspta=$pagoproveedor->eliminarp($idpagoproveedor1);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
}
 ?>